import matplotlib.pyplot as plt
numargs = invgamma.numargs
[ a ] = [0.9,] * numargs
rv = invgamma(a)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = invgamma.cdf(x, a)
h = plt.semilogy(np.abs(x - invgamma.ppf(prb, a)) + 1e-20)

# Random number generation

R = invgamma.rvs(a, size=100)
